Bug 438194 - gdm[XXXX]: (null): cannot open shared object file: No such file or directory
gdm[XXXX]: (null): cannot open shared object file: No such file or directory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdm (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 12:48 EDT by Alan Bartlett
Modified: 2009-08-31 13:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 13:56:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 221835 None None None Never

  None (edit)
Description Alan Bartlett 2008-03-19 12:48:46 EDT
Description of problem: gdm[XXXX]: (null): cannot open shared object file: No
such file or directory


Version-Release number of selected component (if applicable): 2.16.0 


How reproducible: always present in /var/log/messages after system boot


Steps to Reproduce:
1.boot system 
2.grep "(null)" /var/log/messages
3.
  
Actual results:
gdm[XXXX]: (null): cannot open shared object file: No such file or directory

Expected results:
no oputput expected from grep

Additional info:
Fedora Core 6 -> https://bugzilla.redhat.com/show_bug.cgi?id=221835
Comment 1 Alan Bartlett 2009-07-21 09:46:35 EDT
Sixteen months on and not even acknowledged. :-(

So have a bump.
Comment 2 Ray Strode [halfline] 2009-07-21 14:01:31 EDT
Hi Alan,

What is output of

rpm -q gdm coolkey pam_pkcs11 pcsc-lite


?
Comment 3 Alan Bartlett 2009-08-31 10:01:44 EDT
(In reply to comment #2)
> Hi Alan,
> 
> What is output of
> 
> rpm -q gdm coolkey pam_pkcs11 pcsc-lite
> 
> 
> ?  

Ray,

My apologies for the delay in attending to this. The notification e-mail was somehow missed by me. Sorry.

I should say that this issue is now historic and can be closed as "fixed in update" (or whatever is considered to be appropriate).

For completeness, this is the event time-line --

Installed 5.0 and (eventually) noticed the message in the log file. Did nothing about investigating it. Ooops.

Updated to 5.1 and rediscovered the message. Opened this bug report. On talking with a Fedora hacker, I was advised to install the coolkey package (but didn't do so).

Sometime between the update to 5.1 and the subsequent update to 5.2 the coolkey package was installed as a requirement of yet another package. As a result, this issue was fixed.

So, in essence, it appears that there was a problem with the original 5.0 installation as it did not install the coolkey package as a requirement.

Regards,

Alan.
Comment 4 Ray Strode [halfline] 2009-08-31 13:56:24 EDT
Alright, thanks.

Note You need to log in before you can comment on or make changes to this bug.